Journal magie GPG + lokigames

Posté par  (site Web personnel) .
Étiquettes : aucune
0
12
fév.
2004
C'est super de faire que l'utilitaire de patch de loki vérifie les signature, mais quand la clé publique n'est pas dispo (keyserver.lokigames.com est down), ben on peut pas mettre à jour... c'est con quand même :)
le patch lancé à la main segfault... enfin bon :/
  • # Re: magie GPG + lokigames

    Posté par  (site Web personnel) . Évalué à 1.

    Et leur clé est pas accessible sur d'autres serveurs ? Ceux du MIT ou d'autres (j'ai découvert celui de Mandrakesecure, y a pas longtemps : http://www.mandrakesecure.net/cks/(...) )
  • # Re: magie GPG + lokigames

    Posté par  . Évalué à 1.

    Tu peux peut-etre essayer

    http://icculus.org/loki_setup/(...)

    En particulier, dans le CVS de loki_update on trouve
    gpg_verify.c:
    Allow the GPG signature verification to be cancelled

    Attention c'est le commit d'il y a 4 jours, c'est peut-etre pas encore dans la version tar.gz
    • [^] # Re: magie GPG + lokigames

      Posté par  (site Web personnel) . Évalué à 1.

      un peu délicat. je voulais juste jouer a tribes2 moi. loki_patch & cie sont embarqués direct dans les patchs je crois, du coup il faudrait que je decompresse a la main, que j'applique a la main....c'est vite chiant :/
      les jeux sous linux c'est vraiment pas ça encore :/ Et si t'as pas les pilotes nvidia, ca l'est encore moins.... enfin bon... j'suis pas pret de jouer a medal of honor ou ut2004 quoi
      • [^] # Re: magie GPG + lokigames

        Posté par  (site Web personnel) . Évalué à 1.

        ok...il sagit de TII donc, tu devrais être confronté au bug d'installation de l'upgarde.

        Lance le script d'upgrade avec l'option --keep

        Il va planter (normalement), mais laisser en place un répertoire contenant les scripts d'upgrade.

        Dans ce répertoire il faut éditer setup.sh et commenter les lignes
        56 à 60 (je suis pas certain des num de lignes...l'erreur lors du premier lancement de l'upgrade doit indiquer une ligne, qui est une sortie de test...suffit de commenter tout le test...)

        Ensuite tu relance ce script setup.sh et l'upgrade doit bien se passer.
        je suis pas devant ma station perso, donc j'ai pas plus de détails.
        • [^] # Re: magie GPG + lokigames

          Posté par  (site Web personnel) . Évalué à 1.

          ./update.sh: line 139: 10735 Segmentation fault loki_patch patch.dat $installed

          :/
          • [^] # Re: magie GPG + lokigames

            Posté par  (site Web personnel) . Évalué à 1.

            Aie...j'ai pas été confronté à ce problème, enfin je crois pas...ça fait longtemps que je n'ai pas ue besoin de réinstaller.

            Je vais vérifier les numéros des lignes à commenter en rentrant chez moi...reviens ce soir sur le thread.
          • [^] # Re: magie GPG + lokigames

            Posté par  (site Web personnel) . Évalué à 1.

            si ça doit être ça...
            tu as lancé le .run avec l'option --keep
            tu édit le update.sh dans le répertoire tribes2-update (je sais plus le nom exact)
            La ligne 139 ça doit être la fermeture d'un test : fi
            Tu commente cette ligne et les précédente jusqu'à l'ouverture du test : if

            relance update.sh à partir du répertoire ou il se trouve.
            ça doit fonctionner...
            • [^] # Re: magie GPG + lokigames

              Posté par  (site Web personnel) . Évalué à 1.

              non non. La fermeture du if est dans les lignes 60. Quand je commente, ca passe, mais c'est loki_patch qui segfault. loki_patch 139 c 4 lignes avant la fin.
              • [^] # Re: magie GPG + lokigames

                Posté par  (site Web personnel) . Évalué à 1.

                j'ai reussi a patcher en 22460 en faisant a la main:
                --keep
                compilation de loki_patch (pour etre sur, mais je doute que ca serve)
                cd tribes2*
                loki_patch patch.dat /usr/local/games/tribes2

                ca patch sans broncher.
                Impossible de patcher pour la version suivante (no such delta in ....). f**k it
                • [^] # Re: magie GPG + lokigames

                  Posté par  (site Web personnel) . Évalué à 1.

                  Ok...tu utilise l'update progressive ou la complète (tribes2-25034-cdrom-x86.run) ?
                  Mon tribes est patché avec la complète...je me souviens avoir ue des problèmes avec l'upgrade progressive.
                  Là il est peut être préférable de le réinstaller complètement, et de tenter l'upgrade avec la version tribes2-25034-cdrom-x86.run

                  Si non oui, ce sont bien les lignes de 55 à 60 qu'il faut commenter dans update.sh

                  Le dernier truc pas propres qu'il reste sur mon install, c'est que l'updater se lance à chaque demarage du jeu...sans conséquences.
      • [^] # Re: magie GPG + lokigames

        Posté par  . Évalué à 1.

        a bah justement le client de medal of honor sous linux est sorti en version beta 2

        http://icculus.org/news/news.php?id=1846(...)
  • # Re: magie GPG + lokigames

    Posté par  (site Web personnel) . Évalué à 1.

    ftp.lokigames.com
    sections patchs ou upgrade, tu dl et tu fais le reste à la main.
    ou ici :
    ftp://jeuxlinux.com/lokigames/updates/(...)

    Si c'est pour TribesII, il a une astuce pour contourner un bug d'installation de la mise à jour...si c'est le cas, indique le, je t'expliquerai la procédure.
    • [^] # Re: magie GPG + lokigames

      Posté par  (site Web personnel) . Évalué à 1.

      c'est pour tribes2... j'avais pas eu ce probleme la derniere fois il me semble... je fais des tests de temps en temps pour voir s'il passe tjrs aussi mal avec pilote du dri :/ domage, un des rares jeux loki que j'ai....snif...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.